## org.eclipse.jetty.annotations
Class ResourceAnnotationHandler

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
          org.eclipse.jetty.annotations.ResourceAnnotationHandler

All Implemented Interfaces:
  AnnotationIntrospector.IntrospectableAnnotationHandler

    public class ResourceAnnotationHandler

extends AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

Field Summary
`protected WebAppContext` `_context`

Constructor Summary
`ResourceAnnotationHandler(WebAppContext wac)`

Method Summary
`void` `doHandle(Class clazz)` Class level Resource annotations declare a name in the environment that will be looked up at runtime.
`void` `handleClass(Class clazz)`
`void` `handleField(Class clazz, Field field)`
`void` `handleMethod(Class clazz, Method method)` Process a Resource annotation on a Method.

Methods inherited from class org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
`handle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected WebAppContext _context

Constructor Detail

### ResourceAnnotationHandler

    public ResourceAnnotationHandler(WebAppContext wac)

Method Detail

### doHandle

    public void doHandle(Class clazz)

  Class level Resource annotations declare a name in the environment that will be looked up at runtime. They do not specify an injection.

  Specified by:
    `doHandle` in class `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler`

### handleClass

    public void handleClass(Class clazz)

### handleField

    public void handleField(Class clazz,
                            Field field)

### handleMethod

    public void handleMethod(Class clazz,
                             Method method)

  Process a Resource annotation on a Method. This will generate a JNDI entry, and an Injection to be processed when an instance of the class is created.

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.